import { jsx } from "react/jsx-runtime";
import { FileVueIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileVue = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FileVue", ...props, children: /* @__PURE__ */ jsx(FileVueIcon, { weight: variant }) });
  }
);
FileVue.displayName = "FileVue";
Object.assign(FileVue, { isGdsIcon: true });
export {
  FileVue
};
